Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::take_fn Struct Reference

## Synopsis of methods
constexpr view< take_fn > | take {}

## Public Member Functions
template<typename Rng >
auto | operator() (Rng &&rng, range_difference_t< Rng > n) const -> take_view< all_t< Rng >> requires ViewableRange< Rng >